import { Entity, Fields } from "remult";

@Entity("LauncherEntry", { allowApiCrud: true, dbName: "core.launcher" })
export class LauncherEntry {
    @Fields.autoIncrement()
    id!: string;
    @Fields.string()
    url!: string;
    @Fields.string()
    name!: string;
    @Fields.string()
    description?: string;
    @Fields.string()
    iconUrl?: string;
    @Fields.boolean()
    enabled = true;
    @Fields.createdAt()
    createdDate!: Date;
    @Fields.updatedAt()
    modifiedDate!: Date;
}
